Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.IMeshFieldGeo
              igeo.ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo

All Implemented Interfaces:
  I3DFieldI, IFieldI

Enclosing class:
  ILinkedNodeMeshField

    public static class ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo

extends IMeshFieldGeo

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary
`ILinkedDataAgent<IVecI>[]` | `linkedAgents`
`IVectorObject[]` | `vectorObjects`

Fields inherited from class igeo.IMeshFieldGeo
`mesh`

Fields inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, customDecay, decay, gaussDecay, intensity, linearDecay, noDecay, threshold`

Constructor Summary
`ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo(IMeshI m)`

Method Summary
`ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo` | `addForce(int vertexIndex, IVecI vec)`
`IVecI` | `get(int vertexIdx)`
`IVecI` | `getForce(int vertexIndex)`
`void` | `initField()`
`ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo` | `linkFriction(double fric)`
`ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo` | `linkFriction(int vertexIndex, double fric)`
`ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo` | `setForce(int vertexIndex, IVecI vec)`
`ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo` | `showVector()`

Methods inherited from class igeo.IMeshFieldGeo
`bidirectional, constantIntensity, del, gauss, gaussian, gaussianDecay, get, get, intensity, linear, linearDecay, noDecay, threshold`

Methods inherited from class igeo.IFieldGeo
`decay, decay, intensity, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`decay, intensity, threshold`

Field Detail

### linkedAgents

    public ILinkedDataAgent<IVecI>[] linkedAgents

### vectorObjects

    public IVectorObject[] vectorObjects

Constructor Detail

### ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo

    public ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo(IMeshI m)

Method Detail

### initField

    public void initField()

### setForce

    public ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo setForce(int vertexIndex,
                                                                 IVecI vec)

### getForce

    public IVecI getForce(int vertexIndex)

### addForce

    public ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo addForce(int vertexIndex,
                                                                 IVecI vec)

### get

    public IVecI get(int vertexIdx)

  Overrides:
    `get` in class `IMeshFieldGeo`

### showVector

    public ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo showVector()

### linkFriction

    public ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo linkFriction(double fric)

### linkFriction

    public ILinkedNodeMeshField.ILinkedNodeMeshFieldGeo linkFriction(int vertexIndex,
                                                                     double fric)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD